## org.codehaus.groovy.grails.commons.cfg
Class MapBasedSmartPropertyOverrideConfigurer

    java.lang.Object
      org.codehaus.groovy.grails.commons.cfg.MapBasedSmartPropertyOverrideConfigurer

All Implemented Interfaces:
  groovy.lang.GroovyObject, BeanFactoryPostProcessor

    public class MapBasedSmartPropertyOverrideConfigurer

extends Object
implements BeanFactoryPostProcessor, groovy.lang.GroovyObject

Constructor Summary
`MapBasedSmartPropertyOverrideConfigurer(Map beans, ClassLoader classLoader)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`protected void` `applyPropertyValue(ConfigurableListableBeanFactory factory, String beanName, String property, Object value)`
`Map` `getBeans()`
`ClassLoader` `getClassLoader()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`protected BeanDefinition` `getTargetBeanDefinition(ConfigurableListableBeanFactory factory, String beanName)`
`protected BeanDefinition` `getTargetBeanDefinition(ConfigurableListableBeanFactory factory, String beanName, BeanDefinition beanDefinition)`
`protected BeanDefinition` `getTargetBeanDefinition(ConfigurableListableBeanFactory factory, String beanName, BeanDefinition beanDefinition, Class beanClass)`
`protected BeanDefinition` `getTargetBeanDefinitionForFactoryBean(ConfigurableListableBeanFactory factory, String beanName, BeanDefinition beanDefinition, Class beanClass)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `postProcessBeanFactory(ConfigurableListableBeanFactory factory)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapBasedSmartPropertyOverrideConfigurer

    public MapBasedSmartPropertyOverrideConfigurer(Map beans,
                                                   ClassLoader classLoader)

Method Detail

### getBeans

    public Map getBeans()

### getClassLoader

    public ClassLoader getClassLoader()

### postProcessBeanFactory

    public void postProcessBeanFactory(ConfigurableListableBeanFactory factory)

  Specified by:
    `postProcessBeanFactory` in interface `BeanFactoryPostProcessor`

### applyPropertyValue

    protected void applyPropertyValue(ConfigurableListableBeanFactory factory,
                                      String beanName,
                                      String property,
                                      Object value)

### getTargetBeanDefinition

    protected BeanDefinition getTargetBeanDefinition(ConfigurableListableBeanFactory factory,
                                                     String beanName)

### getTargetBeanDefinition

    protected BeanDefinition getTargetBeanDefinition(ConfigurableListableBeanFactory factory,
                                                     String beanName,
                                                     BeanDefinition beanDefinition)

### getTargetBeanDefinition

    protected BeanDefinition getTargetBeanDefinition(ConfigurableListableBeanFactory factory,
                                                     String beanName,
                                                     BeanDefinition beanDefinition,
                                                     Class beanClass)

### getTargetBeanDefinitionForFactoryBean

    protected BeanDefinition getTargetBeanDefinitionForFactoryBean(ConfigurableListableBeanFactory factory,
                                                                   String beanName,
                                                                   BeanDefinition beanDefinition,
                                                                   Class beanClass)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project